%define name	gltron
%define version	0.70
%define release	%mkrel 10

Summary:	Gltron, a 3d lightcycle game using OpenGL
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Arcade
Url:		http://gltron.sourceforge.net
Source:		gltron-%version.tar.bz2
Source1:	gltron-xpm.tar.bz2
Patch:	gltron-0.70-gcc4.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  SDL_sound-devel
BuildRequires:	X11-devel
BuildRequires:  mesaglu-devel
BuildRequires:  png-devel
BuildRequires:  mesagl-devel

%description
A very nice Tron game using OpenGL.

%prep
%setup -q
%patch -p1 -b .gcc4

%build
export LDFLAGS=-L/usr/X11R6/lib
%configure2_5x --bindir=%_gamesbindir --datadir=%_gamesdatadir --disable-warn
%make CXX="g++ -L/usr/X11R6/lib"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
tar xfj %{SOURCE1}
install -m0644 gltron-16.png $RPM_BUILD_ROOT%{_miconsdir}/gltron.png
install -m0644 gltron-32.png $RPM_BUILD_ROOT%{_iconsdir}/gltron.png
install -m0644 gltron-48.png $RPM_BUILD_ROOT%{_liconsdir}/gltron.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gltron
Comment=3d lightcycle game
Exec=%{_gamesbindir}/gltron
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_gamesbindir}/gltron
%dir %{_gamesdatadir}/gltron/
%{_gamesdatadir}/gltron/art
%{_gamesdatadir}/gltron/data
%{_gamesdatadir}/gltron/music
%{_gamesdatadir}/gltron/scripts
%{_miconsdir}/gltron.png
%{_iconsdir}/gltron.png
%{_liconsdir}/gltron.png
%{_datadir}/applications/mandriva-%{name}.desktop




%changelog
* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 0.70-10mdv2009.0
+ Revision: 271847
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.70-9mdv2009.0
+ Revision: 246222
- rebuild
- fix mesaglu-devel BR

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.70-7mdv2008.1
+ Revision: 136445
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Wed Mar 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.70-7mdv2007.1
+ Revision: 143578
- Fix XDG menu

* Sun Nov 12 2006 Pascal Terjan <pterjan@mandriva.org> 0.70-6mdv2007.1
+ Revision: 83276
- Fix BuildRequires
- Import gltron

* Fri Mar 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.70-5mdk
- Rebuild, add some buildrequires

* Thu Sep 22 2005 Gtz Waschk <waschk@mandriva.org> 0.70-4mdk
- fix build

* Sun Aug 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.70-3mdk
- Rebuild for new menu

* Sat Jul 03 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.70-2mdk
- Rebuild

